Bug 206395 - Review Request: picocom - Minimal serial communications program
Review Request: picocom - Minimal serial communications program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-14 00:15 EDT by jafo-redhat
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 12:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jafo-redhat 2006-09-14 00:15:05 EDT
Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/picocom.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/picocom-1.4-1.src.rpm
Description: 
As its name suggests, [picocom] is a minimal dumb-terminal emulation
program. It is, in principle, very much like minicom, only it's "pico"
instead of "mini"! It was designed to serve as a simple, manual, modem
configuration, testing, and debugging tool. It has also served (quite
well) as a low-tech "terminal-window" to allow operator intervention
in PPP connection scripts (something like the ms-windows "open
terminal window before / after dialing" feature).  It could also prove
useful in many other similar tasks. It is ideal for embedded systems
since its memory footprint is minimal (less than 20K, when
stripped).
Comment 1 Parag AN(पराग) 2006-09-14 06:43:03 EDT
{Not Official Reviewer}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6 
+ rpmlint on binary rpm is silent
- dist tag is NOT present
+ Buildroot is correct
+ source URL is correct
+ License used is GPL
+ License file LICENSE.txt is included
+ MD5 sum on tarball is matching upstream tarball
08fcc5f6bb9e7676a2569386d5ea9f70  picocom-1.4.tar.gz
+ No duplicate files

Not tested package.

You need to use macros change 
/usr/bin/picocom
to
%{_bindir}/picocom
Comment 2 Denis Leroy 2006-09-14 07:25:54 EDT
Looks good!

Must fix:

- debug package is broken. Just remove the strip command from the spec and let
RPM handle it automatically.

- RPM_OPT_FLAGS and compiler string are not honored. For example, just add
'CC=%{__cc} CFLAGS="$RPM_OPT_FLAGS" to the make command. Also add 
'%{_smp_mflags}' to make line.

- in %files section, use %{_bindir} instead of /usr/bin/

- don't include empty TODO file.

Nice to have:

- use install instead of cp, to make sure files get correct permissions
Comment 3 jafo-redhat 2006-09-14 12:35:15 EDT
Thanks for the review.  I put the strip in there because rpmlint was winging
about the binary not being stripped.  I've removed it and made all other changes.

ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/picocom.spec
ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/picocom-1.4-2.src.rpm
Comment 4 Denis Leroy 2006-09-14 12:52:53 EDT
> I put the strip in there because rpmlint was winging
> about the binary not being stripped

This usually means you're missing an RPM development package. rpmdevtools,
rpmlint or rpm-libs, i forget which one.
Comment 5 jafo-redhat 2006-09-14 15:32:56 EDT
Obviously I ha rpmlint :-).  I already had rpm-libs, so it must have been
rpmdevtools.  I've got it installed now, thanks.

Sean
Comment 6 Denis Leroy 2006-09-14 15:44:11 EDT
MUST items:

- rpmlint clean
- package names ok
- spec follows guidelines
- GPL license verified and included
- tarball md5sum verified
- clean mock build
- own its directories
- permissions good
- no %files duplicates
- standard Group:
- executable is working
- good %clean section

I hereby solemny declare this package APPROVED!

Comment 7 Denis Leroy 2006-09-19 05:50:07 EDT
(don't forget to build your package and close this bug. thx)

Note You need to log in before you can comment on or make changes to this bug.